Priority: Normal Due date:  

Assignee: CJ Grady % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

In reviewing the KUBI content, I noticed that the HTTP Content-Type header field seems to always be set to:

Content-Type: text/html; charset=utf-8

This may be the default for the web server, but when downloading objects of different MIME types, they should be typed correctly. 

For instance, the following EML , TIFF, and RDF documents should have Content-Type values of text/xml, image/tiff, and

application/rdf+xml respectfully:

https://bidataone.nhm.ku.edu/mn/v1/object/kubi.lifemapper.sdm.layers.516.eml

https://bidataone.nhm.ku.edu/mn/v1/object/kubi.lifemapper.sdm.layers.516.tif (big file, careful clicking here!)

https://bidataone.nhm.ku.edu/mn/v1/object/kubi.lifemapper.sdm.layers.516

This will enable browsers to render content correctly, and in the case of the TIFF image, will allow the browser to hand the file off to

an application that can render the TIFF image.

History

#1 - 2013-10-03 16:50 - Chris Jones

- Description updated

- Assignee changed from Roger Dahl to CJ Grady

Assigning to CJ

#2 - 2013-10-08 20:52 - Matthew Jones

We've discussed providing an ObjectFormat -> MimeType mapping file to make this easier for people.  The mapping file has been developed, and

could be fairly easily be used by MN implementors when setting Mime types.  The mapping files are in SVN, and are details are in ticket #3310, and

other related tasks are in #3309.

#3 - 2013-10-11 16:13 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

- Estimated time set to 0.00

#4 - 2013-11-13 18:36 - Bruce Wilson

- Target version changed from 315 to Deploy by end of Y5Q2

#5 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#6 - 2014-02-20 21:21 - Laura Moyers
- Target version changed from Deploy by end of Y5Q3 to Operational
